Index: uspace/lib/drv/generic/remote_nic.c
===================================================================
--- uspace/lib/drv/generic/remote_nic.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_nic.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -1337,5 +1337,5 @@
 
 static void remote_nic_send_frame(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
@@ -1348,15 +1348,15 @@
 	rc = async_data_write_accept(&data, false, 0, 0, 0, &size);
 	if (rc != EOK) {
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	rc = nic_iface->send_frame(dev, data, size);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 	free(data);
 }
 
 static void remote_nic_callback_create(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
@@ -1364,9 +1364,9 @@
 
 	errno_t rc = nic_iface->callback_create(dev);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_get_state(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
@@ -1376,9 +1376,9 @@
 
 	errno_t rc = nic_iface->get_state(dev, &state);
-	async_answer_1(callid, rc, state);
+	async_answer_1(chandle, rc, state);
 }
 
 static void remote_nic_set_state(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
@@ -1388,9 +1388,9 @@
 
 	errno_t rc = nic_iface->set_state(dev, state);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_get_address(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
@@ -1403,48 +1403,48 @@
 	if (rc == EOK) {
 		size_t max_len;
-		cap_call_handle_t data_callid;
+		cap_call_handle_t data_chandle;
 
 		/* All errors will be translated into EPARTY anyway */
-		if (!async_data_read_receive(&data_callid, &max_len)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		if (!async_data_read_receive(&data_chandle, &max_len)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
 
 		if (max_len != sizeof(nic_address_t)) {
-			async_answer_0(data_callid, ELIMIT);
-			async_answer_0(callid, ELIMIT);
-			return;
-		}
-
-		async_data_read_finalize(data_callid, &address,
+			async_answer_0(data_chandle, ELIMIT);
+			async_answer_0(chandle, ELIMIT);
+			return;
+		}
+
+		async_data_read_finalize(data_chandle, &address,
 		    sizeof(nic_address_t));
 	}
 
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_set_address(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 
 	size_t length;
-	cap_call_handle_t data_callid;
-	if (!async_data_write_receive(&data_callid, &length)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_0(callid, EINVAL);
+	cap_call_handle_t data_chandle;
+	if (!async_data_write_receive(&data_chandle, &length)) {
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	if (length > sizeof(nic_address_t)) {
-		async_answer_0(data_callid, ELIMIT);
-		async_answer_0(callid, ELIMIT);
+		async_answer_0(data_chandle, ELIMIT);
+		async_answer_0(chandle, ELIMIT);
 		return;
 	}
 
 	nic_address_t address;
-	if (async_data_write_finalize(data_callid, &address, length) != EOK) {
-		async_answer_0(callid, EINVAL);
+	if (async_data_write_finalize(data_chandle, &address, length) != EOK) {
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -1452,15 +1452,15 @@
 	if (nic_iface->set_address != NULL) {
 		errno_t rc = nic_iface->set_address(dev, &address);
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 	} else
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 }
 
 static void remote_nic_get_stats(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->get_stats == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1471,31 +1471,31 @@
 	errno_t rc = nic_iface->get_stats(dev, &stats);
 	if (rc == EOK) {
-		cap_call_handle_t data_callid;
+		cap_call_handle_t data_chandle;
 		size_t max_len;
-		if (!async_data_read_receive(&data_callid, &max_len)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		if (!async_data_read_receive(&data_chandle, &max_len)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
 
 		if (max_len < sizeof(nic_device_stats_t)) {
-			async_answer_0(data_callid, ELIMIT);
-			async_answer_0(callid, ELIMIT);
-			return;
-		}
-
-		async_data_read_finalize(data_callid, &stats,
+			async_answer_0(data_chandle, ELIMIT);
+			async_answer_0(chandle, ELIMIT);
+			return;
+		}
+
+		async_data_read_finalize(data_chandle, &stats,
 		    sizeof(nic_device_stats_t));
 	}
 
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_get_device_info(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->get_device_info == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1506,31 +1506,31 @@
 	errno_t rc = nic_iface->get_device_info(dev, &info);
 	if (rc == EOK) {
-		cap_call_handle_t data_callid;
+		cap_call_handle_t data_chandle;
 		size_t max_len;
-		if (!async_data_read_receive(&data_callid, &max_len)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		if (!async_data_read_receive(&data_chandle, &max_len)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
 
 		if (max_len < sizeof (nic_device_info_t)) {
-			async_answer_0(data_callid, ELIMIT);
-			async_answer_0(callid, ELIMIT);
-			return;
-		}
-
-		async_data_read_finalize(data_callid, &info,
+			async_answer_0(data_chandle, ELIMIT);
+			async_answer_0(chandle, ELIMIT);
+			return;
+		}
+
+		async_data_read_finalize(data_chandle, &info,
 		    sizeof(nic_device_info_t));
 	}
 
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_get_cable_state(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->get_cable_state == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1539,13 +1539,13 @@
 
 	errno_t rc = nic_iface->get_cable_state(dev, &cs);
-	async_answer_1(callid, rc, (sysarg_t) cs);
+	async_answer_1(chandle, rc, (sysarg_t) cs);
 }
 
 static void remote_nic_get_operation_mode(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->get_operation_mode == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1556,14 +1556,14 @@
 
 	errno_t rc = nic_iface->get_operation_mode(dev, &speed, &duplex, &role);
-	async_answer_3(callid, rc, (sysarg_t) speed, (sysarg_t) duplex,
+	async_answer_3(chandle, rc, (sysarg_t) speed, (sysarg_t) duplex,
 	    (sysarg_t) role);
 }
 
 static void remote_nic_set_operation_mode(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->set_operation_mode == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1574,13 +1574,13 @@
 
 	errno_t rc = nic_iface->set_operation_mode(dev, speed, duplex, role);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_autoneg_enable(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->autoneg_enable == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1589,26 +1589,26 @@
 
 	errno_t rc = nic_iface->autoneg_enable(dev, advertisement);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_autoneg_disable(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->autoneg_disable == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	errno_t rc = nic_iface->autoneg_disable(dev);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_autoneg_probe(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->autoneg_probe == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1621,27 +1621,27 @@
 	errno_t rc = nic_iface->autoneg_probe(dev, &our_adv, &their_adv, &result,
 	    &their_result);
-	async_answer_4(callid, rc, our_adv, their_adv, (sysarg_t) result,
+	async_answer_4(chandle, rc, our_adv, their_adv, (sysarg_t) result,
 	    (sysarg_t) their_result);
 }
 
 static void remote_nic_autoneg_restart(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->autoneg_restart == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	errno_t rc = nic_iface->autoneg_restart(dev);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_get_pause(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->get_pause == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1652,13 +1652,13 @@
 
 	errno_t rc = nic_iface->get_pause(dev, &we_send, &we_receive, &pause);
-	async_answer_3(callid, rc, we_send, we_receive, pause);
+	async_answer_3(chandle, rc, we_send, we_receive, pause);
 }
 
 static void remote_nic_set_pause(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->set_pause == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1670,13 +1670,13 @@
 	errno_t rc = nic_iface->set_pause(dev, allow_send, allow_receive,
 	    pause);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_unicast_get_mode(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->unicast_get_mode == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1688,5 +1688,5 @@
 		address_list = malloc(max_count * sizeof (nic_address_t));
 		if (!address_list) {
-			async_answer_0(callid, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
 			return;
 		}
@@ -1702,13 +1702,13 @@
 	if ((rc != EOK) || (max_count == 0) || (address_count == 0)) {
 		free(address_list);
-		async_answer_2(callid, rc, mode, address_count);
-		return;
-	}
-
-	cap_call_handle_t data_callid;
+		async_answer_2(chandle, rc, mode, address_count);
+		return;
+	}
+
+	cap_call_handle_t data_chandle;
 	size_t max_len;
-	if (!async_data_read_receive(&data_callid, &max_len)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_2(callid, rc, mode, address_count);
+	if (!async_data_read_receive(&data_chandle, &max_len)) {
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_2(chandle, rc, mode, address_count);
 		free(address_list);
 		return;
@@ -1721,13 +1721,13 @@
 		max_len = max_count * sizeof(nic_address_t);
 
-	async_data_read_finalize(data_callid, address_list, max_len);
-	async_answer_0(data_callid, EINVAL);
+	async_data_read_finalize(data_chandle, address_list, max_len);
+	async_answer_0(data_chandle, EINVAL);
 
 	free(address_list);
-	async_answer_2(callid, rc, mode, address_count);
+	async_answer_2(chandle, rc, mode, address_count);
 }
 
 static void remote_nic_unicast_set_mode(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
@@ -1739,14 +1739,14 @@
 
 	if (address_count) {
-		cap_call_handle_t data_callid;
-		if (!async_data_write_receive(&data_callid, &length)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		cap_call_handle_t data_chandle;
+		if (!async_data_write_receive(&data_chandle, &length)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
 
 		if (length != address_count * sizeof(nic_address_t)) {
-			async_answer_0(data_callid, ELIMIT);
-			async_answer_0(callid, ELIMIT);
+			async_answer_0(data_chandle, ELIMIT);
+			async_answer_0(chandle, ELIMIT);
 			return;
 		}
@@ -1754,12 +1754,12 @@
 		address_list = malloc(length);
 		if (address_list == NULL) {
-			async_answer_0(data_callid, ENOMEM);
-			async_answer_0(callid, ENOMEM);
-			return;
-		}
-
-		if (async_data_write_finalize(data_callid, address_list,
+			async_answer_0(data_chandle, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
+			return;
+		}
+
+		if (async_data_write_finalize(data_chandle, address_list,
 		    length) != EOK) {
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			free(address_list);
 			return;
@@ -1770,7 +1770,7 @@
 		errno_t rc = nic_iface->unicast_set_mode(dev, mode, address_list,
 		    address_count);
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 	} else
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 
 	free(address_list);
@@ -1778,9 +1778,9 @@
 
 static void remote_nic_multicast_get_mode(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->multicast_get_mode == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1792,5 +1792,5 @@
 		address_list = malloc(max_count * sizeof(nic_address_t));
 		if (!address_list) {
-			async_answer_0(callid, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
 			return;
 		}
@@ -1807,13 +1807,13 @@
 	if ((rc != EOK) || (max_count == 0) || (address_count == 0)) {
 		free(address_list);
-		async_answer_2(callid, rc, mode, address_count);
-		return;
-	}
-
-	cap_call_handle_t data_callid;
+		async_answer_2(chandle, rc, mode, address_count);
+		return;
+	}
+
+	cap_call_handle_t data_chandle;
 	size_t max_len;
-	if (!async_data_read_receive(&data_callid, &max_len)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_2(callid, rc, mode, address_count);
+	if (!async_data_read_receive(&data_chandle, &max_len)) {
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_2(chandle, rc, mode, address_count);
 		free(address_list);
 		return;
@@ -1826,12 +1826,12 @@
 		max_len = max_count * sizeof(nic_address_t);
 
-	async_data_read_finalize(data_callid, address_list, max_len);
+	async_data_read_finalize(data_chandle, address_list, max_len);
 
 	free(address_list);
-	async_answer_2(callid, rc, mode, address_count);
+	async_answer_2(chandle, rc, mode, address_count);
 }
 
 static void remote_nic_multicast_set_mode(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
@@ -1842,15 +1842,15 @@
 
 	if (address_count) {
-		cap_call_handle_t data_callid;
+		cap_call_handle_t data_chandle;
 		size_t length;
-		if (!async_data_write_receive(&data_callid, &length)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		if (!async_data_write_receive(&data_chandle, &length)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
 
 		if (length != address_count * sizeof (nic_address_t)) {
-			async_answer_0(data_callid, ELIMIT);
-			async_answer_0(callid, ELIMIT);
+			async_answer_0(data_chandle, ELIMIT);
+			async_answer_0(chandle, ELIMIT);
 			return;
 		}
@@ -1858,12 +1858,12 @@
 		address_list = malloc(length);
 		if (address_list == NULL) {
-			async_answer_0(data_callid, ENOMEM);
-			async_answer_0(callid, ENOMEM);
-			return;
-		}
-
-		if (async_data_write_finalize(data_callid, address_list,
+			async_answer_0(data_chandle, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
+			return;
+		}
+
+		if (async_data_write_finalize(data_chandle, address_list,
 		    length) != EOK) {
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			free(address_list);
 			return;
@@ -1874,7 +1874,7 @@
 		errno_t rc = nic_iface->multicast_set_mode(dev, mode, address_list,
 		    address_count);
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 	} else
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 
 	free(address_list);
@@ -1882,9 +1882,9 @@
 
 static void remote_nic_broadcast_get_mode(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->broadcast_get_mode == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1893,13 +1893,13 @@
 
 	errno_t rc = nic_iface->broadcast_get_mode(dev, &mode);
-	async_answer_1(callid, rc, mode);
+	async_answer_1(chandle, rc, mode);
 }
 
 static void remote_nic_broadcast_set_mode(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->broadcast_set_mode == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1908,13 +1908,13 @@
 
 	errno_t rc = nic_iface->broadcast_set_mode(dev, mode);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_defective_get_mode(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->defective_get_mode == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1923,13 +1923,13 @@
 
 	errno_t rc = nic_iface->defective_get_mode(dev, &mode);
-	async_answer_1(callid, rc, mode);
+	async_answer_1(chandle, rc, mode);
 }
 
 static void remote_nic_defective_set_mode(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->defective_set_mode == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1938,13 +1938,13 @@
 
 	errno_t rc = nic_iface->defective_set_mode(dev, mode);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_blocked_sources_get(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->blocked_sources_get == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -1956,5 +1956,5 @@
 		address_list = malloc(max_count * sizeof(nic_address_t));
 		if (!address_list) {
-			async_answer_0(callid, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
 			return;
 		}
@@ -1968,14 +1968,14 @@
 
 	if ((rc != EOK) || (max_count == 0) || (address_count == 0)) {
-		async_answer_1(callid, rc, address_count);
+		async_answer_1(chandle, rc, address_count);
 		free(address_list);
 		return;
 	}
 
-	cap_call_handle_t data_callid;
+	cap_call_handle_t data_chandle;
 	size_t max_len;
-	if (!async_data_read_receive(&data_callid, &max_len)) {
-		async_answer_0(data_callid, EINVAL);
-		async_answer_1(callid, rc, address_count);
+	if (!async_data_read_receive(&data_chandle, &max_len)) {
+		async_answer_0(data_chandle, EINVAL);
+		async_answer_1(chandle, rc, address_count);
 		free(address_list);
 		return;
@@ -1988,13 +1988,13 @@
 		max_len = max_count * sizeof(nic_address_t);
 
-	async_data_read_finalize(data_callid, address_list, max_len);
-	async_answer_0(data_callid, EINVAL);
+	async_data_read_finalize(data_chandle, address_list, max_len);
+	async_answer_0(data_chandle, EINVAL);
 
 	free(address_list);
-	async_answer_1(callid, rc, address_count);
+	async_answer_1(chandle, rc, address_count);
 }
 
 static void remote_nic_blocked_sources_set(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
@@ -2005,14 +2005,14 @@
 
 	if (address_count) {
-		cap_call_handle_t data_callid;
-		if (!async_data_write_receive(&data_callid, &length)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		cap_call_handle_t data_chandle;
+		if (!async_data_write_receive(&data_chandle, &length)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
 
 		if (length != address_count * sizeof(nic_address_t)) {
-			async_answer_0(data_callid, ELIMIT);
-			async_answer_0(callid, ELIMIT);
+			async_answer_0(data_chandle, ELIMIT);
+			async_answer_0(chandle, ELIMIT);
 			return;
 		}
@@ -2020,12 +2020,12 @@
 		address_list = malloc(length);
 		if (address_list == NULL) {
-			async_answer_0(data_callid, ENOMEM);
-			async_answer_0(callid, ENOMEM);
-			return;
-		}
-
-		if (async_data_write_finalize(data_callid, address_list,
+			async_answer_0(data_chandle, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
+			return;
+		}
+
+		if (async_data_write_finalize(data_chandle, address_list,
 		    length) != EOK) {
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			free(address_list);
 			return;
@@ -2036,7 +2036,7 @@
 		errno_t rc = nic_iface->blocked_sources_set(dev, address_list,
 		    address_count);
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 	} else
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 
 	free(address_list);
@@ -2044,9 +2044,9 @@
 
 static void remote_nic_vlan_get_mask(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->vlan_get_mask == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -2057,26 +2057,26 @@
 	errno_t rc = nic_iface->vlan_get_mask(dev, &vlan_mask);
 	if (rc == EOK) {
-		cap_call_handle_t data_callid;
+		cap_call_handle_t data_chandle;
 		size_t max_len;
-		if (!async_data_read_receive(&data_callid, &max_len)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		if (!async_data_read_receive(&data_chandle, &max_len)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
 
 		if (max_len != sizeof(nic_vlan_mask_t)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
-			return;
-		}
-
-		async_data_read_finalize(data_callid, &vlan_mask, max_len);
-	}
-
-	async_answer_0(callid, rc);
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
+			return;
+		}
+
+		async_data_read_finalize(data_chandle, &vlan_mask, max_len);
+	}
+
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_vlan_set_mask(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
@@ -2087,21 +2087,21 @@
 
 	if (vlan_mask_set) {
-		cap_call_handle_t data_callid;
+		cap_call_handle_t data_chandle;
 		size_t length;
-		if (!async_data_write_receive(&data_callid, &length)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		if (!async_data_write_receive(&data_chandle, &length)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
 
 		if (length != sizeof(nic_vlan_mask_t)) {
-			async_answer_0(data_callid, ELIMIT);
-			async_answer_0(callid, ELIMIT);
-			return;
-		}
-
-		if (async_data_write_finalize(data_callid, &vlan_mask,
+			async_answer_0(data_chandle, ELIMIT);
+			async_answer_0(chandle, ELIMIT);
+			return;
+		}
+
+		if (async_data_write_finalize(data_chandle, &vlan_mask,
 		    length) != EOK) {
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
@@ -2112,16 +2112,16 @@
 	if (nic_iface->vlan_set_mask != NULL) {
 		errno_t rc = nic_iface->vlan_set_mask(dev, vlan_mask_pointer);
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 	} else
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 }
 
 static void remote_nic_vlan_set_tag(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 
 	if (nic_iface->vlan_set_tag == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -2132,22 +2132,22 @@
 
 	errno_t rc = nic_iface->vlan_set_tag(dev, tag, add, strip);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_wol_virtue_add(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 
 	int send_data = (int) IPC_GET_ARG3(*call);
-	cap_call_handle_t data_callid;
+	cap_call_handle_t data_chandle;
 
 	if (nic_iface->wol_virtue_add == NULL) {
 		if (send_data) {
-			async_data_write_receive(&data_callid, NULL);
-			async_answer_0(data_callid, ENOTSUP);
-		}
-
-		async_answer_0(callid, ENOTSUP);
+			async_data_write_receive(&data_chandle, NULL);
+			async_answer_0(data_chandle, ENOTSUP);
+		}
+
+		async_answer_0(chandle, ENOTSUP);
 	}
 
@@ -2156,7 +2156,7 @@
 
 	if (send_data) {
-		if (!async_data_write_receive(&data_callid, &length)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		if (!async_data_write_receive(&data_chandle, &length)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			return;
 		}
@@ -2164,12 +2164,12 @@
 		data = malloc(length);
 		if (data == NULL) {
-			async_answer_0(data_callid, ENOMEM);
-			async_answer_0(callid, ENOMEM);
-			return;
-		}
-
-		if (async_data_write_finalize(data_callid, data,
+			async_answer_0(data_chandle, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
+			return;
+		}
+
+		if (async_data_write_finalize(data_chandle, data,
 		    length) != EOK) {
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			free(data);
 			return;
@@ -2181,15 +2181,15 @@
 
 	errno_t rc = nic_iface->wol_virtue_add(dev, type, data, length, &id);
-	async_answer_1(callid, rc, (sysarg_t) id);
+	async_answer_1(chandle, rc, (sysarg_t) id);
 	free(data);
 }
 
 static void remote_nic_wol_virtue_remove(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 
 	if (nic_iface->wol_virtue_remove == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -2198,14 +2198,14 @@
 
 	errno_t rc = nic_iface->wol_virtue_remove(dev, id);
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
 static void remote_nic_wol_virtue_probe(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 
 	if (nic_iface->wol_virtue_probe == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -2215,5 +2215,5 @@
 	nic_wv_type_t type = NIC_WV_NONE;
 	size_t length = 0;
-	cap_call_handle_t data_callid;
+	cap_call_handle_t data_chandle;
 	void *data = NULL;
 
@@ -2221,5 +2221,5 @@
 		data = malloc(max_length);
 		if (data == NULL) {
-			async_answer_0(callid, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
 			return;
 		}
@@ -2233,7 +2233,7 @@
 	if ((max_length != 0) && (length != 0)) {
 		size_t req_length;
-		if (!async_data_read_receive(&data_callid, &req_length)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		if (!async_data_read_receive(&data_chandle, &req_length)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			free(data);
 			return;
@@ -2246,17 +2246,17 @@
 			req_length = max_length;
 
-		async_data_read_finalize(data_callid, data, req_length);
-	}
-
-	async_answer_2(callid, rc, (sysarg_t) type, (sysarg_t) length);
+		async_data_read_finalize(data_chandle, data, req_length);
+	}
+
+	async_answer_2(chandle, rc, (sysarg_t) type, (sysarg_t) length);
 	free(data);
 }
 
 static void remote_nic_wol_virtue_list(ddf_fun_t *dev, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	nic_iface_t *nic_iface = (nic_iface_t *) iface;
 	if (nic_iface->wol_virtue_list == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -2266,10 +2266,10 @@
 	size_t count = 0;
 	nic_wv_id_t *id_list = NULL;
-	cap_call_handle_t data_callid;
+	cap_call_handle_t data_chandle;
 
 	if (max_count != 0) {
 		id_list = malloc(max_count * sizeof(nic_wv_id_t));
 		if (id_list == NULL) {
-			async_answer_0(callid, ENOMEM);
+			async_answer_0(chandle, ENOMEM);
 			return;
 		}
@@ -2283,7 +2283,7 @@
 	if ((max_count != 0) && (count != 0)) {
 		size_t req_length;
-		if (!async_data_read_receive(&data_callid, &req_length)) {
-			async_answer_0(data_callid, EINVAL);
-			async_answer_0(callid, EINVAL);
+		if (!async_data_read_receive(&data_chandle, &req_length)) {
+			async_answer_0(data_chandle, EINVAL);
+			async_answer_0(chandle, EINVAL);
 			free(id_list);
 			return;
